<?php
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
global $config;

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('mods/view_styles');

page_header($user->lang['STYLES']);

$mode		= request_var('mode', '');
$style_id	= request_var('s', 0);

switch ($mode)
{
	case 'details':
		// On défini la page de style utilisé dans ce cas
		$template_html = 'styles_body_details.html';
		
		//requete pour lister les membres utilisant un style
		$sql_array = array(
						'SELECT'   => 'u.username, u.user_id',
						'FROM'      => array(
							USERS_TABLE   => 'u'),
						'WHERE'		=> 'u.user_style =' . $style_id,
						'ORDER_BY'   => 'u.user_id');

		$sql = $db->sql_build_query('SELECT', $sql_array);
		$result = $db->sql_query($sql);
		
		//on affiche les résultats
		while ($row = $db->sql_fetchrow($result))
		{
			$template->assign_block_vars('details_styles', array(
				'STYLES_DETAILS_MEMBERS' => $row['username'],
				)
			);
		}
		$db->sql_freeresult($result);			
	break;

	default:
		// On défini le style utilisé dans ce cas
		$template_html = 'styles_body.html';
			
		// Création du tableu pour le comptage
		$style_count = array();

		//requete de comptage des styles placé dans le tableau style_count
		$sql = 'SELECT user_style, COUNT(user_style) AS style_count
			FROM ' . USERS_TABLE . '
			GROUP BY user_style';
		$result = $db->sql_query($sql); 

		// Check our mode...
		if (!in_array($mode, array('', 'details')))
		{
			trigger_error('NO_MODE');
		}

		while ($row = $db->sql_fetchrow($result))
		{
			$style_count[$row['user_style']] = $row['style_count'];
		}
		$db->sql_freeresult($result);

		//requete pour lister les styles
		$sql_array = array(
					   'SELECT'   => 's.style_name, s.style_id',
					   'FROM'      => array(
						  STYLES_TABLE   => 's'),
					   'ORDER_BY'   => 's.style_id');

		$sql = $db->sql_build_query('SELECT', $sql_array);
		$result = $db->sql_query($sql);
		
		//on affiche les résultats
			while ($row = $db->sql_fetchrow($result))
			{
				$template->assign_block_vars('styles', array(
					'STYLES_NAME'		=> ($row['style_name']),
					'S_DEFAULT_STYLE'	=> ($row['style_id'] == $config['default_style']) ? true : false,
					'STYLES_COUNT'		=> (isset($style_count[$row['style_id']])) ? $style_count[$row['style_id']] : 0,
					'U_FIND_USERNAME_STYLE'	=> append_sid("{$phpbb_root_path}view_styles.$phpEx", "mode=details&amp;s=" . $row['style_id']),
					)
				);	
			}
			$db->sql_freeresult($result);
}	

$template->set_filenames(array(
	'body' => $template_html)
);
page_footer();
?>